// pages/volunteerRanking/volunteerRanking.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    name:'',
    rankList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var config = wx.getStorageSync('config');
    var that=this;
    that.setData({
      name: config.name
    })
    wx.request({
      url: app.url + 'ajax_get_volunteer_rank1.php',
      data: {
        unionId: config.unionId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        if(res.statusCode==200){
          that.setData({
            rankList:res.data.result.rankList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  //志愿者排名2
  rank2(e) {
    let province = e.currentTarget.dataset['index']
    wx.navigateTo({
      url: '../volunteersRank2/volunteersRank2?province=' + province,
    });
  },
})